Package org.globus.tools

# Class GridCertRequest

java.lang.Object
org.globus.tools.GridCertRequest

public final class GridCertRequest extends Object
GridCertRequest Command Line Client.

Author:
  Jean-Claude Cote

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`USAGE`

## Constructor Summary

Constructors
Constructor
Description
`GridCertRequest()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`genCertificateRequest(String dname, String emailAddressOfCA, String password, File keyFile, File certFile, File certReqFile)`
Generates a encrypted private key and certificate request.
`static void`
`main(String[] args)`
`protected static void`
`parseCmdLine(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USAGE

public static final String USAGE

## Constructor Details

### GridCertRequest

public GridCertRequest()

## Method Details

### main

public static void main(String[] args)

### parseCmdLine

protected static void parseCmdLine(String[] args)

### genCertificateRequest

public static void genCertificateRequest(String dname, String emailAddressOfCA, String password, File keyFile, File certFile, File certReqFile) throws Exception
Generates a encrypted private key and certificate request.

Throws:
  `Exception`